Obtenha a conciliação da conta.
curl --request GET \
--url https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2024-12-05T15:34:56.259",
"processedAt": "2024-12-05T15:38:00.20701",
"settlementDate": "2024-12-05T15:38:00.20701",
"settlementDays": 0,
"internalId": "0a78683f-1e3d-4fe0-ae1e-83dcdfd161cd",
"externalId": "Autogenerated-ID-1733412895187",
"providerId": "qOoEqSADjhX0vhvVhuPVEO9FNtYrDTu3f9w7X5qAHkGyuXl5Vbw7mnRLEK6e6wgR",
"clientCode": "0001",
"providerCode": null,
"accountCountry": "CHL",
"country": "CHL",
"accountNumber": "{{accountNumber}}",
"clientName": "Acme Inc.",
"providerName": null,
"merchant": "LocalPayment",
"clientAccountNumber": "{{accountNumber}}",
"providerAccountNumber": "{{providerAccountNumber}}",
"transactionType": "PayIn",
"paymentMethodType": "BankTransfer",
"paymentMethodCode": "2528",
"installments": 1,
"status": "COMPLETED",
"statusCode": "200",
"statusDescription": "The payin was credited",
"paymentCurrency": "CLP",
"paymentAmount": 3000,
"fxQuote": 1,
"confirmedCurrency": "CLP",
"confirmedAmount": 3000,
"financialFeesCurrency": null,
"financialFeesAmount": null,
"feesCurrency": "CLP",
"feesAmount": 0,
"localTaxesCurrency": "CLP",
"localTaxesAmount": 0,
"withholdingsCurrency": null,
"withholdingsAmount": null,
"accountCurrency": "CLP",
"accountAmount": 3000,
"createdBy": "email@example.com",
"newStatusChangeRequest": null,
"request": {
"payer": {
"name": "Prueba",
"type": "INDIVIDUAL",
"payerLastName": null,
"lastname": null,
"email": "jane.doe@example.com",
"document": {
"id": "8420157K",
"type": "RUT"
},
"bank": null,
"userReference": null
},
"merchant": {
"name": "LocalPayment",
"lastname": null,
"type": "COMPANY"
},
"paymentMethod": {
"code": "2528",
"name": null,
"type": "BankTransfer",
"flow": "REDIRECT",
"brand": null
},
"comment": "Acme",
"country": "CHL",
"currency": "CLP",
"amount": 3000,
"externalId": "Autogenerated-ID-1733412895187",
"conceptCode": "0001",
"accountNumber": "{{accountNumber}}",
"transactionType": "PayIn",
"clientCode": "0001",
"file": false
},
"clientAccountCode": "ACME.CHL.CLP.01",
"clientAccountDescription": "PayIns",
"closingBalance": 32194,
"expirationAt": "2024-12-12T15:34:56.818",
"loteout": null,
"comment": "Acme",
"metaData": null,
"internalLoteID": null,
"pendingStatusChangeRequest": false
}
],
"total": 1,
"offset": 0,
"openingBalance": 29194,
"closingBalance": 32194
}
Relatórios
Obtenha a conciliação da conta
GET
/
api
/
accounts
/
{accountNumber}
/
balance-reconciliation
Obtenha a conciliação da conta.
curl --request GET \
--url https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/accounts/{accountNumber}/balance-reconciliation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2024-12-05T15:34:56.259",
"processedAt": "2024-12-05T15:38:00.20701",
"settlementDate": "2024-12-05T15:38:00.20701",
"settlementDays": 0,
"internalId": "0a78683f-1e3d-4fe0-ae1e-83dcdfd161cd",
"externalId": "Autogenerated-ID-1733412895187",
"providerId": "qOoEqSADjhX0vhvVhuPVEO9FNtYrDTu3f9w7X5qAHkGyuXl5Vbw7mnRLEK6e6wgR",
"clientCode": "0001",
"providerCode": null,
"accountCountry": "CHL",
"country": "CHL",
"accountNumber": "{{accountNumber}}",
"clientName": "Acme Inc.",
"providerName": null,
"merchant": "LocalPayment",
"clientAccountNumber": "{{accountNumber}}",
"providerAccountNumber": "{{providerAccountNumber}}",
"transactionType": "PayIn",
"paymentMethodType": "BankTransfer",
"paymentMethodCode": "2528",
"installments": 1,
"status": "COMPLETED",
"statusCode": "200",
"statusDescription": "The payin was credited",
"paymentCurrency": "CLP",
"paymentAmount": 3000,
"fxQuote": 1,
"confirmedCurrency": "CLP",
"confirmedAmount": 3000,
"financialFeesCurrency": null,
"financialFeesAmount": null,
"feesCurrency": "CLP",
"feesAmount": 0,
"localTaxesCurrency": "CLP",
"localTaxesAmount": 0,
"withholdingsCurrency": null,
"withholdingsAmount": null,
"accountCurrency": "CLP",
"accountAmount": 3000,
"createdBy": "email@example.com",
"newStatusChangeRequest": null,
"request": {
"payer": {
"name": "Prueba",
"type": "INDIVIDUAL",
"payerLastName": null,
"lastname": null,
"email": "jane.doe@example.com",
"document": {
"id": "8420157K",
"type": "RUT"
},
"bank": null,
"userReference": null
},
"merchant": {
"name": "LocalPayment",
"lastname": null,
"type": "COMPANY"
},
"paymentMethod": {
"code": "2528",
"name": null,
"type": "BankTransfer",
"flow": "REDIRECT",
"brand": null
},
"comment": "Acme",
"country": "CHL",
"currency": "CLP",
"amount": 3000,
"externalId": "Autogenerated-ID-1733412895187",
"conceptCode": "0001",
"accountNumber": "{{accountNumber}}",
"transactionType": "PayIn",
"clientCode": "0001",
"file": false
},
"clientAccountCode": "ACME.CHL.CLP.01",
"clientAccountDescription": "PayIns",
"closingBalance": 32194,
"expirationAt": "2024-12-12T15:34:56.818",
"loteout": null,
"comment": "Acme",
"metaData": null,
"internalLoteID": null,
"pendingStatusChangeRequest": false
}
],
"total": 1,
"offset": 0,
"openingBalance": 29194,
"closingBalance": 32194
}
Gere relatórios detalhados de todas as transações concluídas dentro de um período específico. Este endpoint foi projetado para contabilidade, auditoria e conciliação financeira.
Autorizações
Parâmetros de consulta
Última modificação em 10 de novembro de 2026

